curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/orders \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"status": "completed",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": {
"country": "<string>",
"name_line": "<string>",
"premise": "<string>",
"sub_premise": "<string>",
"thoroughfare": "<string>",
"administrative_area": "<string>",
"sub_administrative_area": "<string>",
"locality": "<string>",
"dependent_locality": "<string>",
"postal_code": "<string>"
},
"company": "<string>",
"vat_number": "<string>",
"billing_period_start": "2023-11-07T05:31:56Z",
"billing_period_end": "2023-11-07T05:31:56Z",
"billing_period_label": {
"formatted": "<string>",
"month": "<string>",
"year": "<string>",
"next_month": "<string>"
},
"billing_period_duration": 123,
"paid_on": "2023-11-07T05:31:56Z",
"total": 123,
"total_formatted": 123,
"components": {
"voucher/vat/baseprice": {}
},
"currency": "<string>",
"invoice_url": "<string>",
"last_refreshed": "2023-11-07T05:31:56Z",
"invoiced": true,
"line_items": [
{
"type": "project_plan",
"license_id": 123,
"project_id": "<string>",
"product": "<string>",
"sku": "<string>",
"total": 123,
"total_formatted": "<string>",
"components": {},
"exclude_from_invoice": true
}
],
"_links": {
"invoices": {
"href": "<string>"
}
}
}
],
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}Retrieves orders for the specified organization.
A valid request URL is required to generate request examples{
"items": [
{
"id": "<string>",
"status": "completed",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": {
"country": "<string>",
"name_line": "<string>",
"premise": "<string>",
"sub_premise": "<string>",
"thoroughfare": "<string>",
"administrative_area": "<string>",
"sub_administrative_area": "<string>",
"locality": "<string>",
"dependent_locality": "<string>",
"postal_code": "<string>"
},
"company": "<string>",
"vat_number": "<string>",
"billing_period_start": "2023-11-07T05:31:56Z",
"billing_period_end": "2023-11-07T05:31:56Z",
"billing_period_label": {
"formatted": "<string>",
"month": "<string>",
"year": "<string>",
"next_month": "<string>"
},
"billing_period_duration": 123,
"paid_on": "2023-11-07T05:31:56Z",
"total": 123,
"total_formatted": 123,
"components": {
"voucher/vat/baseprice": {}
},
"currency": "<string>",
"invoice_url": "<string>",
"last_refreshed": "2023-11-07T05:31:56Z",
"invoiced": true,
"line_items": [
{
"type": "project_plan",
"license_id": 123,
"project_id": "<string>",
"product": "<string>",
"sku": "<string>",
"total": 123,
"total_formatted": "<string>",
"components": {},
"exclude_from_invoice": true
}
],
"_links": {
"invoices": {
"href": "<string>"
}
}
}
],
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
The status of the order.
completed, past_due, pending, canceled, payment_failed_soft_decline, payment_failed_hard_decline The total of the order.
Page to be displayed. Defaults to 1.
The output mode.
details